## Struct template thread_access_mode_of<boost::log::aux::shared_lock_guard< MutexT >>

boost::log::thread_access_mode_of<boost::log::aux::shared_lock_guard< MutexT >>

## Synopsis

    // In header: <boost/log/utility/strictest_lock.hpp>

    template<typename MutexT>
    struct thread_access_mode_of<boost::log::aux::shared_lock_guard< MutexT >> :
      public boost::integral_constant< lock_access_mode, shared_access >
    {
    };